import "./org_chart.less";
import OrgChart from "@/components/org/OrgChart";
import { OrgChartNodeDataType } from "@/components/org";

const OrgChartSelf = () => {
  const data: OrgChartNodeDataType = {
    key: 0,
    label: "黄水武装",
    children: [
      {
        key: 1,
        label: "武装部长",
        children: [
          {
            key: 11,
            label: "文物社区支部",
            children: [
              {
                key: 21,
                label: "wangpeng",
              },
              {
                key: 22,
                label: "wangpeng1",
              },
            ],
          },
          {
            key: 12,
            label: "花龙村支部",
            children: [
              {
                key: 22,
                label: "一组",
              },
              {
                key: 24,
                label: "二组",
                children: [
                  {
                    key: 23,
                    label: "王鹏",
                  },
                  {
                    key: 29,
                    label: "王鹏1",
                  },
                ]
              },
            ],
          },
          { key: 13, label: "云华社区支部", children: [
            {
              key: 26,
              label: "一组",
            },
            {
              key: 28,
              label: "二组",
            },
          ],},
        ],
      },
      {
        key: 2,
        label: "教导员",
        children: [],
      },
    ],
  };

  return (
    <>
      <OrgChart
        data={data}
        direction={"horizontal"}
        renderNode={(e) => {
          return <div style={{textAlign:"center"}}>
            <img width={70} height={70} src="https://ww3.sinaimg.cn/mw690/006i0nC8ly1hpzqtw0eibj31o01o0kd2.jpg" alt="" />
            <span style={{ color: "#fff",display:"block" }}>{e.label}</span>
          </div>
        }}
      />
    </>
  );
};

export default OrgChartSelf;
